%global git_snapshot 1
%global git_rev d279e292a787fa733746c3d15209c70e5596ab10

%if 0%{?git_snapshot}
%global git_short %(echo %{git_rev} | cut -c-8)
%endif

Name:		topgit
Version:	0.9
Release:	0.4%{?git_short:.git%{git_short}}%{?dist}
Summary:	A different patch queue manager
Group:		Development/Tools
License:	GPLv2
URL:		http://repo.or.cz/w/%{name}.git?a=blob;f=README
%if 0%{?git_snapshot}
Source0:	http://repo.or.cz/w/%{name}.git/snapshot/%{git_short}.zip
%else
Source0:	http://repo.or.cz/w/%{name}.git/snapshot/refs/tags/%{name}-%{version}.zip
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	git


%description
TopGit aims to make handling of large amount of interdependent topic
branches easier. In fact, it is designed especially for the case when
you maintain a queue of third-party patches on top of another (perhaps
Git-controlled) project and want to easily organize, maintain and
submit them - TopGit achieves that by keeping a separate topic branch
for each patch and providing few tools to maintain the branches.


%prep
%setup -q -n %{name}


%build
make %{?_smp_mflags} prefix=%{_prefix}


%install
rm -rf %{buildroot}
make install prefix=%{_prefix} DESTDIR=%{buildroot}
install -m 0644 -D -p contrib/tg-completion.bash \
  %{buildroot}%{_sysconfdir}/bash_completion.d/tg-completion.bash


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/tg
%{_libexecdir}/%{name}/
%{_datarootdir}/%{name}/
%dir %{_sysconfdir}/bash_completion.d/
%{_sysconfdir}/bash_completion.d/tg-completion.bash


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.4.gitd279e292
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 26 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-0.3.gitd279e292
- Update to revision d279e292.

* Sat Dec 11 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-0.2.git9b25e848
- Update to revision 9b25e848.

* Sun Oct 10 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.9-0.1.git8b0f1f9d
- Update to revision 8b0f1f9d.

* Mon Sep 13 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.8-2.git9404aa1a
- Update to revision 9404aa1a.
- Specfile fixes as suggested in the review.

* Thu Jul 29 2010 Thomas Moschny <thomas.moschny@gmx.de> - 0.8-1.git5aed7e7b
- New package.
